API Documentation
Integrate NetPoint services into your applications.
View full OpenAPI specAuthentication
Authenticate API requests using an API key in the X-API-Key header. Get your API key from the SMS settings page in the console.
curl -H "X-API-Key: your-key" https://api.netpoint.io/v1/sms/balanceBase URL
All API requests should be made to:
https://api.netpoint.io/v1/Send SMS
Send an SMS message through the NetPoint routing service.
curl -X POST https://api.netpoint.io/v1/sms/send \
-H "X-API-Key: your-key" \
-H "Content-Type: application/json" \
-d '{"to": "+37120000000", "body": "Hello from NetPoint!"}'Check Balance
Get your current SMS balance and plan details.
curl -H "X-API-Key: your-key" https://api.netpoint.io/v1/sms/balanceDomain Pricing
Get current TLD pricing (no authentication required).
curl https://api.netpoint.io/v1/domains/pricingService Status
Check the status of all NetPoint services.
curl https://api.netpoint.io/v1/statusAI Agent API
Agents authenticate with X-Agent-Key. Create agents and keys in the console under Agents.
curl -X POST https://api.netpoint.io/v1/agent/issues \
-H "X-Agent-Key: agent_your_key" \
-H "Content-Type: application/json" \
-d '{"title": "New task from agent", "priority": "medium"}'MCP Server (Claude)
Connect Claude to NetPoint using Model Context Protocol. Add to your claude_desktop_config.json or Claude Code settings.
{
"mcpServers": {
"netpoint": {
"command": "npx",
"args": ["tsx", "path/to/server/mcp/server.ts"],
"env": {
"NETPOINT_AGENT_KEY": "agent_your_key",
"NETPOINT_API_URL": "https://api.netpoint.io"
}
}
}
}